Subject: [111attendees] Positive observations and proposals for improvements to Meetecho (was: Re: Re: So, what are jabber scribes actually doing, these days?)

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 30 Jul 2021 12:37:46 -0500

I should have changed the Subject a LONG time ago! But this thread has
morphed into helpful observations and suggestions, so, if I might add a
couple of things ...

I agree that Meetecho has been improving (and just for fun, the Meetecho
guys were participants in the MEDIACTL session I was co-chairing in
Hiroshima at IETF 76 in November 2009, and they roped in a team member from
Italy during the discussion using whatever the toolset was back then, so
many of you have no idea how MUCH they've improved 😀).

I see that we've already mentioned detaching the chat window, and usually I
remember that we can detach the chat by Tuesday of each IETF meeting week
at the latest, which is almost certainly a result of not having THAT much
experience with Meetecho during the four months between meetings. Now that
we can use Meetecho for interim meetings, that will help me remember more
clearly, so good there, too.

The one thing I've noticed this week is how difficult it is to figure out
who is speaking if they aren't sending video, and there's a long list of
people in the queue. The suggestion to move the speakers above the queue
would improve that, and so would simply displaying the active speaker names
in the screen space where their video would have gone, if the person had
been sending video.One reason that matters, is that it's helpful for
everyone to get the speaker's name right in the minutes. That's not just
for new attendees, I'm starting to forget what people sound like, unless
I'm talking to them regularly, or they have a very distinctive speech
pattern, so I've definitely depending on seeing names when I'm taking
minutes. .

The one thing I was thinking about, as I read through this thread, was that
we are kinda *not *talking about what the IETF thinks the target audience
for our conferencing tool is.

   - For probably the last couple of IETFs, I have a GREAT setup for remote
   participation (my laptop screen, plus two 25-inch monitors). But I do have
   tiled windows on all three screens.
   - If we think people who can't throw a few hundred dollars at monitor
   screens are part of our target audience, that's worth noting.
   - If we think we're going to have hybrid meetings, in at least some
   scenarios, it's going to be good to use Meetecho in the conference rooms
   (especially if we need to be distancing, so more spread out, front to back
   in the conference rooms).
   - Even if we aren't doing hybrid meetings, I've participated in some
   working group meetings from my hotel room, but I wasn't tryng to co-chair a
   meeting, or even to present at a meeting.
   - When Michael Richardson and I talked to the Cellar working group
   participants about switching to Meetecho for our (monthy) interims, the
   first question we got was, "is there an iOS/Adroid client?" I haven't
   checked Meetecho on my phone in years, but I'd bet offhand that (1) it
   would work, but (2) it might not be as easy to use as some other
   conferencing systems, on those devices. Do people have experience with that?

I'll let you folks continue to share these positive observations and
proposals. Make Good Choices, of course.

Best,

Spencer

On Thu, Jul 29, 2021 at 6:15 PM Jay Daley <[email-masked]> wrote:

> Thanks Bron.  Personally I think that’s a great usability adjustment and
> will forward to the Meetecho team for them to consider.
>
> Jay
>
> > On 30/07/2021, at 10:58 AM, Bron Gondwana <[email-masked]>
> wrote:
> >
> > On Fri, Jul 30, 2021, at 05:21, Jay Daley wrote:
> >> No we have absolutely not pushed Meetecho into being "just a
> contractor", they are a valued partner and we work very well together.  If
> you have any doubts about that then ask them directly.
> >>
> >> It is disappointing that you have escalated a personal concern that you
> have with our services into such a strong criticism when that is entirely
> unsupported by any evidence.
> >
> > Jay, I agree with your sentiment here - this attitude to Meetecho is
> counterproductive.  They've done great work for the last couple of IETFs
> and the experience is improving each time.  I have particularly appreciated
> the embedded slide management, and I'm sure that will be even better next
> time too.
> >
> > Regarding the specific interface issues that remain, I do think there's
> a question of "where do we propose improvements in a way that will be
> noticed"?  I've seen the suggestion made very many times that the "speaker"
> area (where the video shows) should have additional lines for each person
> sending anything, rather than that information being at the top of the
> participant list.  This is much more like the experience with other chat
> systems, for example Zoom shows either a photo or a blank item for somebody
> who isn't currently sending video, but they're otherwise treated "the same"
> as a person sending video in terms of real-estate and where to look for
> their presence by default.
> >
> > Right now with meetecho, my eyes are normally at the video are when
> people are speaking, but if a non-video person is speaking I need to look
> across to the other side of the screen to see the audio indication.
> >
> > And as was also suggested in this thread, you can't scroll the
> participant list to find someone to chat to, because they jump to the top
> when they are sending, then back to alphabetical position.  This is also a
> usability pain.  Separating "the list of participants" (which wouldn't move
> about) and "the list of people sending something" with the video and audio
> indications being together in one place would be a significant
> improvement.  And as an additional benefit, when you're looking at the chat
> window, you would still be able to see all the details of who is sending
> (including yourself - if you're sending then the indicator of your own
> audio should be the same as the indicator of everyone else's audio, rather
> than being in yet a third location up under your own name).
> >
> > So those two names would appear in the right hand side, and also still
> have their name in the participant list, and the video feeds would each
> have a "here's what's being sent".  Chairs would always have a presence on
> the right, with whatever they were currently sending - and the
> "participants" tab would only have the list of participants, and not be a
> place you needed to go to see activity, so you could mostly keep the chat
> tab open.
> >
> > Bron.
> >
> >
> > --
> >   Bron Gondwana, CEO, Fastmail Pty Ltd
> >   [email-masked]
> >
> >
> > --
> > 111attendees mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/111attendees
>
> --
> Jay Daley
> IETF Executive Director
> [email-masked]
>
> --
> 111attendees mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/111attendees
>

---

From: Nigel Hickson <[email-masked]>
Date: Fri, 30 Jul 2021 20:37:55 +0100

Spencer

Thoughtful observations.  I probably have not read enough of the "chat" to
make a comprehensive input; but just three thoughts:

1. Very much appreciative of folks of Meetecho for supplying this platform,
I liked it;
2. Agree with comments that would be useful to have speaker names;
3. I was joining (given late hours) on a smartphone (interface was fine) so
wary of too much sophistication; as guess many in some parts only have
option of joining by phone;

best

Nigel

On Fri, 30 Jul 2021 at 18:39, Spencer Dawkins at IETF <
[email-masked]> wrote:

> I see that we've already mentioned detaching the chat window, and usually
> I remember that we can detach the chat by Tuesday of each IETF meeting week
> The one thing I was thinking about, as I read through this thread, was
> that we are kinda *not *talking about what the IETF thinks the target
> audience for our conferencing tool is.
>
>    - For probably the last couple of IETFs, I have a GREAT setup for
>    remote participation (my laptop screen, plus two 25-inch monitors). But I
>    do have tiled windows on all three screens.
>> >> It is disappointing that you have escalated a personal concern that
>> you have with our services into such a strong criticism when that is
>> entirely unsupported by any evidence.
>> >

---

From: Meetecho IETF support <[email-masked]>
Date: Fri, 30 Jul 2021 21:38:29 +0200

All,

chiming in just to say that we at Meetecho appreciate and value your 
feedback. We'll definitely take it into account when developing the 
future releases of the platform. We'll provide comments on the points 
raised as soon as we get the chance to parse them, i.e., when the 
meeting is over.

Also, I'm cc'ing [email-masked] and setting the reply-to header 
to that list as well, as that's the right place to discuss enhancements 
and provide feedback that would be easier for us to collect.

Best,
Alessandro

Il 30/07/21 19:37, Spencer Dawkins at IETF ha scritto:
> Hiroshima at IETF 76 in November 2009, and they roped in a team member 
> from Italy during the discussion using whatever the toolset was back 
> then, so many of you have no idea how MUCH they've improved 😀).
> 
> I see that we've already mentioned detaching the chat window, and 
> usually I remember that we can detach the chat by Tuesday of each IETF 
> meeting week at the latest, which is almost certainly a result of not 
> having THAT much experience with Meetecho during the four months between 
> meetings. Now that we can use Meetecho for interim meetings, that will 
> help me remember more clearly, so good there, too.
> 
> The one thing I've noticed this week is how difficult it is to figure 
> out who is speaking if they aren't sending video, and there's a long 
> list of people in the queue. The suggestion to move the speakers above 
> the queue would improve that, and so would simply displaying the active 
> speaker names in the screen space where their video would have gone, if 
> the person had been sending video.One reason that matters, is that it's 
> helpful for everyone to get the speaker's name right in the minutes. 
> That's not just for new attendees, I'm starting to forget what people 
> sound like, unless I'm talking to them regularly, or they have a very 
> distinctive speech pattern, so I've definitely depending on seeing names 
> when I'm taking minutes. .
> 
>   * For probably the last couple of IETFs, I have a GREAT setup for
>     remote participation (my laptop screen, plus two 25-inch monitors).
>     But I do have tiled windows on all three screens.
>   * If we think people who can't throw a few hundred dollars at monitor
>   * If we think we're going to have hybrid meetings, in at least some
>     scenarios, it's going to be good to use Meetecho in the conference
>     rooms (especially if we need to be distancing, so more spread out,
>     front to back in the conference rooms).
>   * Even if we aren't doing hybrid meetings, I've participated in some
>     working group meetings from my hotel room, but I wasn't tryng to
>     co-chair a meeting, or even to present at a meeting.
>   * When Michael Richardson and I talked to the Cellar working group
>     participants about switching to Meetecho for our (monthy) interims,
>     the first question we got was, "is there an iOS/Adroid client?" I
>     haven't checked Meetecho on my phone in years, but I'd bet offhand
>     that (1) it would work, but (2) it might not be as easy to use as
>     some other conferencing systems, on those devices. Do people have
>     experience with that?
> 
> On Thu, Jul 29, 2021 at 6:15 PM Jay Daley <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     Thanks Bron.  Personally I think that’s a great usability adjustment
>     and will forward to the Meetecho team for them to consider.
> 
>     Jay
> 
>      > On 30/07/2021, at 10:58 AM, Bron Gondwana <[email-masked]
>     <mailto:[email-masked]>> wrote:
>      >
>     contractor", they are a valued partner and we work very well
>     together.  If you have any doubts about that then ask them directly.
>      >>
>      >> It is disappointing that you have escalated a personal concern
>     that you have with our services into such a strong criticism when
>     that is entirely unsupported by any evidence.
>      >
>      > Jay, I agree with your sentiment here - this attitude to Meetecho
>     is counterproductive.  They've done great work for the last couple
>     of IETFs and the experience is improving each time.  I have
>     particularly appreciated the embedded slide management, and I'm sure
>     that will be even better next time too.
>      >
>      > Regarding the specific interface issues that remain, I do think
>     there's a question of "where do we propose improvements in a way
>     that will be noticed"?  I've seen the suggestion made very many
>     times that the "speaker" area (where the video shows) should have
>     additional lines for each person sending anything, rather than that
>     information being at the top of the participant list.  This is much
>     more like the experience with other chat systems, for example Zoom
>     shows either a photo or a blank item for somebody who isn't
>     currently sending video, but they're otherwise treated "the same" as
>     a person sending video in terms of real-estate and where to look for
>      > Right now with meetecho, my eyes are normally at the video are
>     when people are speaking, but if a non-video person is speaking I
>     need to look across to the other side of the screen to see the audio
>     indication.
>      >
>     participant list to find someone to chat to, because they jump to
>     the top when they are sending, then back to alphabetical position. 
>     This is also a usability pain.  Separating "the list of
>     participants" (which wouldn't move about) and "the list of people
>     sending something" with the video and audio indications being
>     together in one place would be a significant improvement.  And as an
>     additional benefit, when you're looking at the chat window, you
>     would still be able to see all the details of who is sending
>     (including yourself - if you're sending then the indicator of your
>     own audio should be the same as the indicator of everyone else's
>     audio, rather than being in yet a third location up under your own
>     name).
>      >
>      > So those two names would appear in the right hand side, and also
>     still have their name in the participant list, and the video feeds
>     would each have a "here's what's being sent".  Chairs would always
>     have a presence on the right, with whatever they were currently
>     sending - and the "participants" tab would only have the list of
>     participants, and not be a place you needed to go to see activity,
>     so you could mostly keep the chat tab open.
>      >
>      > Bron.
>      >
>      >
>      > --
>      > [email-masked] <mailto:[email-masked]>
>      >
>      >
>      > --
>      > [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/111attendees>
> 
>     -- 
>     Jay Daley
>     IETF Executive Director
>     [email-masked] <mailto:[email-masked]>
> 
>     -- 
>     [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/111attendees>
> 
>

---

From: "Bron Gondwana" <[email-masked]>
Date: Sat, 31 Jul 2021 07:02:19 +1000

Ooh, we're going a full "suggestions for meetecho" thread?  I'd like to propose some things!

*that we replace the current "raise hands" tool:*

*... *which is based on an expired draft which isn't going to be refreshed - with a better tool that allows the chairs to:

a) label each option
b) have more than 2 options (max 9 maybe)
c) select between "choose one" and "choose N" modes (checkbox vs radio button)

... and which appears IN PLACE of the slides when enabled, so that meeting participants don't have to navigate to a separate tab to interact. 

More generally, it's too easy for some participants to be lost on different tabs where they can't see the slides.  The multiple views where you can see individual talking heads in more detail are not actually valuable I don't think - if slides are showing they should be the bulk of the screen because they need to be read - and if a poll is showing then for sure it should be taking over the screen.

*a "temporary mute" mode that keeps the audio stream open:*

This is still an issue for me.  I often mute myself while chairing so I can take notes without my keyboard sound interrupting the chat - but it means that I can't easily respond to somebody because the rejigging of the audio channel not only creates a hiccup in the incoming audio feed which means I might miss something someone says, but it also creates enough of a delay that by the time I could have responded the other party's mental state has moved on.

Timing is really important in conversation and we're already fighting with the quarter second delay imposed by the size of the planet.  Additional delay makes it unwieldy.

*allow multiple connections by the same person to the same session:*

I have multiple times wanted to switch device temporarily - from my desktop computer to a phone / ipad so I can temporarily move to another location while continuing to follow a meeting.  Multiple connection support would mean I could switch over without a break.

Sure it could be abused by people "sharing" a login, but that would be pretty obvious if both parties tried to participate, and given that we allow fee waivers anyway, it's unlikely to be abused significantly.  Sure there are Jabber naming issues, but we can avoid that by giving each jabber name with a serial number (which I believe already happens now?)

...

I've already written these up separately in the past, but:

*information about who is speaking in the same place as video feeds*

See my previous email :)  Basically the "participant list" should just be an ordered list of participants and only needs to be switched to when seeing who is in the call or opening an individual message to them (and people don't get moved out of order when they're sending something).  The "who is sending something" list should be all together with the video, and chairs pinned even if they're sending nothing right now.

Along with visual indicators of "currently sending audio" on people so we know who of those with their audio channel open are currently speaking, this makes it easier to look in one place to see the source of all sound, and eyes can generally flit between the right hand side (video and audio indicators) and the slides, without needing to also track via the participant list.

*flexible "assign chair"**:*

This one hasn't come up in practice, but the chairs for meetings are pre-assigned from datatracker.  It would be great for ADs and the meetecho reps in each meeting to be able to upgrade anybody to a chair role or remove a chair role with a simple click.

In real rooms, anyone can go sit in the chair at the front of the room, and it's not abused because of social convention.  I believe that we can map that to this virtual space and still have it work sensibly.  People won't take the chair unless there's a legitimate reason to do it, and so long as it's logged - if someone does consistently abuse it we have processes to eject them from the IETF for misbehaviour.

This has become less important with the ability for individuals to turn on both audio and video themselves, so the chair is going less busywork just approving access, but it would be good to make it possible for someone else to step into the chair if the regular chairs are unable to attend or lose network, rather than making the meeting less able to run.

Bron.

---

From: Eric Rescorla <[email-masked]>
Date: Fri, 30 Jul 2021 14:13:56 -0700

On Fri, Jul 30, 2021 at 2:03 PM Bron Gondwana <[email-masked]>
wrote:

> *... *which is based on an expired draft which isn't going to be
> refreshed - with a better tool that allows the chairs to:
>
> a) label each option
> ... and which appears IN PLACE of the slides when enabled, so that meeting
> participants don't have to navigate to a separate tab to interact.
>
> More generally, it's too easy for some participants to be lost on
> different tabs where they can't see the slides.  The multiple views where
> you can see individual talking heads in more detail are not actually
> valuable I don't think - if slides are showing they should be the bulk of
> the screen because they need to be read - and if a poll is showing then for
> sure it should be taking over the screen.
>

EKR Raises Hand.

>
> This is still an issue for me.  I often mute myself while chairing so I
> can take notes without my keyboard sound interrupting the chat - but it
> means that I can't easily respond to somebody because the rejigging of the
> audio channel not only creates a hiccup in the incoming audio feed which
> means I might miss something someone says, but it also creates enough of a
> delay that by the time I could have responded the other party's mental
> state has moved on.
>
> Timing is really important in conversation and we're already fighting with
> the quarter second delay imposed by the size of the planet.  Additional
> delay makes it unwieldy.
>

Note that this is a respect in which Meetecho is unusual. Most other VC
systems which I am familiar with just stop sending on the track but keep
the microphone open rather than dropping the media stream and re-calling
getUserMedia().

To your list, I would add auto-unmuting (and even more importantly, muting)
when people enter and exit the head of the queue. This would remove a lot
of goofy behavior.

-Ekr

>
> I have multiple times wanted to switch device temporarily - from my
> desktop computer to a phone / ipad so I can temporarily move to another
> location while continuing to follow a meeting.  Multiple connection support
> would mean I could switch over without a break.
>
> Sure it could be abused by people "sharing" a login, but that would be
> pretty obvious if both parties tried to participate, and given that we
> allow fee waivers anyway, it's unlikely to be abused significantly.  Sure
> there are Jabber naming issues, but we can avoid that by giving each jabber
> name with a serial number (which I believe already happens now?)
>
> ...
>
> See my previous email :)  Basically the "participant list" should just be
> an ordered list of participants and only needs to be switched to when
> seeing who is in the call or opening an individual message to them (and
> people don't get moved out of order when they're sending something).  The
> "who is sending something" list should be all together with the video, and
> chairs pinned even if they're sending nothing right now.
>
> Along with visual indicators of "currently sending audio" on people so we
> know who of those with their audio channel open are currently speaking,
> this makes it easier to look in one place to see the source of all sound,
> and eyes can generally flit between the right hand side (video and audio
> indicators) and the slides, without needing to also track via the
> participant list.
>
> This one hasn't come up in practice, but the chairs for meetings are
> pre-assigned from datatracker.  It would be great for ADs and the meetecho
> reps in each meeting to be able to upgrade anybody to a chair role or
> remove a chair role with a simple click.
>
> In real rooms, anyone can go sit in the chair at the front of the room,
> and it's not abused because of social convention.  I believe that we can
> map that to this virtual space and still have it work sensibly.  People
> won't take the chair unless there's a legitimate reason to do it, and so
> long as it's logged - if someone does consistently abuse it we have
> processes to eject them from the IETF for misbehaviour.
>
> This has become less important with the ability for individuals to turn on
> both audio and video themselves, so the chair is going less busywork just
> approving access, but it would be good to make it possible for someone else
> to step into the chair if the regular chairs are unable to attend or lose
> network, rather than making the meeting less able to run.
>
> Bron.
>
> ___________________________________________________________
> Tools-discuss mailing list - [email-masked]
> This list is for discussion, not for action requests or bug reports.
> * Report datatracker and mailarchive bugs to: [email-masked]
> * Report tools.ietf.org bugs to: [email-masked]
> * Report all other bugs or issues to: [email-masked]
> List info (including how to Unsubscribe):
> https://www.ietf.org/mailman/listinfo/tools-discuss
>